- Main Page
- Namespaces
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Service Class Reference

Inheritance diagram for Service:

List of all members.

## Public Member Functions
void | setOwner (Thread &__owner)
Thread * | getOwner ()
void | requestResourceRequest (unsigned __how_many=1)
void | packResourceRequest ()
virtual void | packData ()
virtual void | unpackData ()
virtual void | execute ()
virtual void | packResult ()
virtual void | unpackResult ()
virtual void | notifySendingData ()
virtual void | notifySendingResourceRequest ()
virtual void | notifySendingAllResourceRequests ()
## Private Attributes
Thread * | owner
unsigned | num_sent_rr

## Detailed Description

Definition at line 45 of file service.h.

The documentation for this class was generated from the following files:

- service.h
- core/service.cpp
- rmc/mpi/service.cpp